Skip to content
NEWCollect for MSMEs: UPI Autopay, eNACH & remindersExplore app ↗

Get Payment Link

Use this API to fetch the current state of a payment link using the order_id returned when the link was created.

GET /api/v1/integrations/pay/payment_links/:order_id
Terminal window
curl -X GET 'https://[base_url]/api/v1/integrations/pay/payment_links/:order_id' \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic <token>'
ParameterTypeRequiredDescription
order_idstringYesPayment link order ID returned by Create Payment Link.

HTTP 200

{
"status": "success",
"data": {
"id": "order_12345",
"name": "Customer Name",
"phone": "9876543210",
"email": "you@example.com",
"transaction_id": "trans_568aaf1f9a65",
"paid_at": "2022-03-01T10:05:45Z",
"status": "paid",
"details": [
{
"component_type": "Payable Amount",
"amount": 1000.0,
"settlement_utr": "settl_1234",
"settled_at": "2022-03-02T10:05:45Z"
}
]
}
}
AttributeTypeDescription
data.idStringOrder ID.
data.expires_atStringPayment link expiry date and time.
data.nameStringCustomer name.
data.phoneStringCustomer phone number.
data.emailStringCustomer email address.
data.identifierStringStudent identifier assigned by the institute.
data.student_nameStringStudent name.
data.gradeStringGrade identifier shared between Jodo and the ERP provider.
data.streamStringStudent stream name.
data.academic_year_startIntegerAcademic year start.
data.academic_year_endIntegerAcademic year end.
data.new_admissionBooleanIndicates whether the student is a new admission.
data.date_of_birthStringStudent date of birth.
data.custom_identifierStringStudent custom identifier.
data.transaction_idStringTransaction ID for the payment.
data.paid_atDatetimeTime when the payment was completed.
data.statusStringCurrent status: paid, unpaid, expired, or cancelled.
data.detailsArrayPayment detail rows.
data.details[].component_typeStringPayment detail type.
data.details[].amountNumberAmount for the payment detail.
data.details[].settlement_utrStringSettlement UTR, if settled.
data.details[].settled_atDatetimeSettlement time, if settled.
data.notesArrayKey-value metadata attached during payment link creation.
CodeHTTP CodeDescription
HUE00000400Bad request error.
HUE00001404Resource not found.